Description

Buongiorno,

se ad utenti della rete (come per esempio il mio e quello del referente) do TUTTE le Autorizzazioni possibili per agire in Octonet,
questi utenti non visualizza tutti i Clusters e PC della rete (come invece avviene per root).

In particolare me ne sono accorto quando volevo associare le stampanti di rete ai CLUSTERS: per ora € possibile farlo
correttamente solo usando l'utente root (del server) con attuale inutilita di Octonet per altri utenti come ad es.il referente.
Provare per credere!!

Si potrebbe risolvere con urgenza? Grazie Andrea

Associated revisions

Revision 92eaabcf - 08/01/2018 03:54 PM - Mark Caglienzi

Add /cluster as well as /computers when giving the 'Managed Hosts' permission to a non-root user. refs #12375 #564

Revision 1956¢524 - 08/01/2018 04:08 PM - Mark Caglienzi
Packaging work for Octonet 0.2.38-1. refs #12375 #564

History

#1 - 07/16/2018 04:56 PM - Andrea Padovan

- Subject changed from Utente Autorizzato, non visualizza tutti i Clusters e PC della rete (come invece avviene per root) to Utente Autorizzato in
OCTONET, non visualizza tutti i Clusters e PC della rete (come invece avviene per root)

#2 - 07/17/2018 02:03 AM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Simone Piccardi

- Priority changed from Urgente to Alta

Abbasso priorita in quanto problema non bloccante in questa fase di installazione.

#3 - 07/19/2018 10:46 AM - Simone Piccardi

- Assignee changed from Simone Piccardi to Mark Caglienzi

#4 - 08/01/2018 04:22 PM - Mark Caglienzi
- Status changed from Nuovo to Commenti

- Assignee changed from Mark Caglienzi to Andrea Padovan

Pubblicato il pacchetto octonet 0.2.38-1 contenente la correzione.
Ho verificato che il problema per gli utenti non-root e con il permesso "Managed Hosts" era la visualizzazione dei soli host e non dei cluster.

Con questa versione di Octonet si ha la correzione del problema, e gli utenti non root che hanno quel permesso riusciranno a vedere sia gli host che i
cluster.

Pero perché questo avvenga, dopo I'aggiornamento di Octonet, bisognera modificare gli utenti voluti in questo modo:
e Togliere il permesso "Managed Hosts", e salvare.
e Rimettere il permesso "Managed Hosts", e salvare.

Questo perché il sistema aggiunge i permessi che vede come nuovi (e quindi, nel caso di "Managed Hosts", lo aggiunge nel modo corretto), mentre
Se un permesso € gia presente, non fa nessuna modifica.

Per questo motivo purtroppo & necessario fare "togli/metti" per far ricreare il ramo di database nel modo corretto.

#5 - 08/02/2018 01:28 AM - Paolo Dongilli

Verificato con esito positivo.
A te Andrea la chiusura della issue.

#6 - 08/07/2018 05:56 PM - Andrea Padovan
- Assignee changed from Andrea Padovan to RIPARTIZIONE 9

no riesco piu a seguire i ticket.
Per Paolo Dongilli vedi mail appena mandata. grazie. Andrea

#7 - 08/08/2018 11:16 AM - Paolo Dongilli
- Assignee changed from RIPARTIZIONE 9 to Elena Grandi

#8 - 08/08/2018 11:29 AM - Paolo Dongilli

- Assignee changed from Elena Grandi to Paolo Dongilli

#9 - 08/08/2018 11:30 AM - Paolo Dongilli

- Status changed from Commenti to Risolto
